export declare function clickElement(element: HTMLElement): Promise<void>;
export declare function sendKeyDownEvent(target: HTMLElement, key: string, init?: KeyboardEventInit): Promise<KeyboardEvent>;
export declare function sendKeyDownEvents(target: HTMLElement, keySequence: string[], init?: KeyboardEventInit[]): Promise<KeyboardEvent[]>;
/** A helper function to abstract turning waiting for an event to fire into a promise.
 * The returned promise should be resolved prior to completing a test.
 */
export declare function waitForEvent<T extends Event>(element: HTMLElement, eventName: string, callback?: (evt: T) => void): Promise<void>;
/**
 * Waits for a requested animation frame to occur.
 */
export declare function waitAnimationFrame(): Promise<void>;
/**
 * Timeout for use in async tets.
 */
export declare function waitTimeout(ms?: number): Promise<void>;
